{
  description = "Test Phoenix Live View";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };

        customElixir = pkgs.elixir_1_16.override {
          erlang = pkgs.erlang_26;
        };
      in
      {
        devShells = rec {
          default = pkgs.mkShell {
            nativeBuildInputs = with pkgs; [
              customElixir
            ];

            buildInputs = with pkgs; [
              git
              inotify-tools
            ];
          };
        };
      });
}
